JacocoReport (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.testing.jacoco.tasks

## [Java] Class JacocoReport

- org.gradle.testing.jacoco.tasks.JacocoReport

- All Implemented Interfaces and Traits:
    Reporting

      @Incubating
      public class JacocoReport
      extends JacocoBase

  Task to generate HTML, Xml and CSV reports of Jacoco coverage data.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.internal.AbstractTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JacocoReport ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `additionalClassDirs(File... dirs)` Adds additional class directories to those that will be included in the report.
    `void` | `additionalClassDirs(FileCollection dirs)` Adds additional class directories to those that will be included in the report.
    `void` | `additionalSourceDirs(File... dirs)` Adds additional source directories to be used for any classes included in the report.
    `void` | `additionalSourceDirs(FileCollection dirs)` Adds additional source directories to be used for any classes included in the report.
    `void` | `executionData(Object... files)` Adds execution data files to be used during coverage analysis.
    `void` | `executionData(Task... tasks)` Adds execution data generated by a task to the list of those used during coverage analysis.
    `void` | `executionData(TaskCollection tasks)` Adds execution data generated by the given tasks to the list of those used during coverage analysis.
    `void` | `generate()`
    `FileCollection` | `getAdditionalClassDirs()` Additional class dirs that coverage data should be reported for.
    `FileCollection` | `getAdditionalSourceDirs()` Additional source dirs for the classes coverage data is being reported for.
    `FileCollection` | `getAllClassDirs()` Gets the class directories that coverage will be reported for.
    `FileCollection` | `getAllSourceDirs()` Gets the source directories for the classes that will be reported on.
    `protected org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()`
    `FileCollection` | `getClassDirectories()` Source sets that coverage should be reported for.
    `FileCollection` | `getExecutionData()` Collection of execution data files to analyze.
    `protected org.gradle.internal.reflect.Instantiator` | `getInstantiator()`
    `JacocoReportsContainer` | `getReports()` Returns the reports to be generated by this task.
    `FileCollection` | `getSourceDirectories()` Source sets that coverage should be reported for.
    `JacocoReportsContainer` | `reports(groovy.lang.Closure closure)` Configures the reports to be generated by this task.
    `void` | `setAdditionalClassDirs(FileCollection additionalClassDirs)`
    `void` | `setAdditionalSourceDirs(FileCollection additionalSourceDirs)`
    `void` | `setClassDirectories(FileCollection classDirectories)`
    `void` | `setExecutionData(FileCollection executionData)`
    `void` | `setSourceDirectories(FileCollection sourceDirectories)`
    `void` | `sourceSets(SourceSet... sourceSets)` Adds a source set to the list to be reported on.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JacocoBase` | `getJacocoClasspath, getMetaClass, getProperty, invokeMethod, setJacocoClasspath, setMetaClass`
    `class org.gradle.api.internal.AbstractTask` | `org.gradle.api.internal.AbstractTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.AbstractTask#toString(), org.gradle.api.internal.AbstractTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.AbstractTask#compareTo(java.lang.Object), org.gradle.api.internal.AbstractTask#getName(), org.gradle.api.internal.AbstractTask#getActions(), org.gradle.api.internal.AbstractTask#setName(java.lang.String), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getPath(), org.gradle.api.internal.AbstractTask#getExtensions(), org.gradle.api.internal.AbstractTask#getLogger(), org.gradle.api.internal.AbstractTask#execute(), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#getDescription(), org.gradle.api.internal.AbstractTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#property(java.lang.String), org.gradle.api.internal.AbstractTask#isEnabled(), org.gradle.api.internal.AbstractTask#setEnabled(boolean), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setDidWork(boolean), org.gradle.api.internal.AbstractTask#getDidWork(), org.gradle.api.internal.AbstractTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#doLast(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doLast(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#deleteAllActions(), org.gradle.api.internal.AbstractTask#getEnabled(), org.gradle.api.internal.AbstractTask#getAnt(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#hasProperty(java.lang.String), org.gradle.api.internal.AbstractTask#getConvention(), org.gradle.api.internal.AbstractTask#setDescription(java.lang.String), org.gradle.api.internal.AbstractTask#getGroup(), org.gradle.api.internal.AbstractTask#setGroup(java.lang.String), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.AbstractTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#getProject(), org.gradle.api.internal.AbstractTask#setActions(java.util.List), org.gradle.api.internal.AbstractTask#getDependsOn(), org.gradle.api.internal.AbstractTask#dependsOnTaskDidWork(), org.gradle.api.internal.AbstractTask#getInputs(), org.gradle.api.internal.AbstractTask#getTemporaryDir(), org.gradle.api.internal.AbstractTask#mustRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setMustRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getMustRunAfter(), org.gradle.api.internal.AbstractTask#finalizedBy([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setFinalizedBy(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getFinalizedBy(), org.gradle.api.internal.AbstractTask#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setShouldRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getShouldRunAfter(), org.gradle.api.internal.AbstractTask#getStandardOutputCapture(), org.gradle.api.internal.AbstractTask#getAsDynamicObject(), org.gradle.api.internal.AbstractTask#setProject(org.gradle.api.Project), org.gradle.api.internal.AbstractTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.internal.AbstractTask#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#getOnlyIf(), org.gradle.api.internal.AbstractTask#getImpliesSubProjects(), org.gradle.api.internal.AbstractTask#setImpliesSubProjects(boolean), org.gradle.api.internal.AbstractTask#getExecuter(), org.gradle.api.internal.AbstractTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.AbstractTask#getTemporaryDirFactory(), org.gradle.api.internal.AbstractTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.AbstractTask#getValidators(), org.gradle.api.internal.AbstractTask#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#isHasCustomActions(), org.gradle.api.internal.AbstractTask#getTaskActions(), org.gradle.api.internal.AbstractTask#wait(long, int), org.gradle.api.internal.AbstractTask#wait(long), org.gradle.api.internal.AbstractTask#wait(), org.gradle.api.internal.AbstractTask#equals(java.lang.Object), org.gradle.api.internal.AbstractTask#hashCode(), org.gradle.api.internal.AbstractTask#getClass(), org.gradle.api.internal.AbstractTask#notify(), org.gradle.api.internal.AbstractTask#notifyAll()`

- - ### Constructor Detail

    - #### public JacocoReport()

  - ### Method Detail

    - #### public void additionalClassDirs(File... dirs)

      Adds additional class directories to those that will be included in the report.

      Parameters:
        `dirs` - one or more directories containing classes to report coverage of

    - #### public void additionalClassDirs(FileCollection dirs)

      Adds additional class directories to those that will be included in the report.

      Parameters:
        `dirs` - a `FileCollection` of directories containing classes to report coverage of

    - #### public void additionalSourceDirs(File... dirs)

      Adds additional source directories to be used for any classes included in the report.

      Parameters:
        `dirs` - one or more directories containing source files for the classes included in the report

    - #### public void additionalSourceDirs(FileCollection dirs)

      Adds additional source directories to be used for any classes included in the report.

      Parameters:
        `dirs` - a `FileCollection` of directories containing source files for the classes included in the report

    - #### public void executionData(Object... files)

      Adds execution data files to be used during coverage analysis.

      Parameters:
        `files` - one or more files to add

    - #### public void executionData(Task... tasks)

      Adds execution data generated by a task to the list of those used during coverage analysis. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.

      Parameters:
        `tasks` - one or more tasks to add

    - #### public void executionData(TaskCollection tasks)

      Adds execution data generated by the given tasks to the list of those used during coverage analysis. Only tasks with a JacocoTaskExtension will be included; all others will be ignored.

      Parameters:
        `tasks` - one or more tasks to add

    - #### @TaskAction public void generate()

    - #### @Optional @InputFiles public FileCollection getAdditionalClassDirs()

      Additional class dirs that coverage data should be reported for.

    - #### @Optional @InputFiles public FileCollection getAdditionalSourceDirs()

      Additional source dirs for the classes coverage data is being reported for.

    - #### public FileCollection getAllClassDirs()

      Gets the class directories that coverage will be reported for. All classes in these directories will be included in the report.

      Returns:
        class dirs to report coverage of

    - #### public FileCollection getAllSourceDirs()

      Gets the source directories for the classes that will be reported on. Source will be obtained from these directories only for the classes included in the report.

      Returns:
        source directories for the classes reported on
      See Also:
        getAllClassDirs()

    - #### @javax.inject.Inject protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

    - #### @InputFiles public FileCollection getClassDirectories()

      Source sets that coverage should be reported for.

    - #### @InputFiles public FileCollection getExecutionData()

      Collection of execution data files to analyze.

    - #### @javax.inject.Inject protected org.gradle.internal.reflect.Instantiator getInstantiator()

    - #### @Override public JacocoReportsContainer getReports()

      Returns the reports to be generated by this task.

    - #### @InputFiles public FileCollection getSourceDirectories()

      Source sets that coverage should be reported for.

    - #### @Override public JacocoReportsContainer reports(groovy.lang.Closure closure)

      Configures the reports to be generated by this task.

    - #### public void setAdditionalClassDirs(FileCollection additionalClassDirs)

    - #### public void setAdditionalSourceDirs(FileCollection additionalSourceDirs)

    - #### public void setClassDirectories(FileCollection classDirectories)

    - #### public void setExecutionData(FileCollection executionData)

    - #### public void setSourceDirectories(FileCollection sourceDirectories)

    - #### public void sourceSets(SourceSet... sourceSets)

      Adds a source set to the list to be reported on. The output of this source set will be used as classes to include in the report. The source for this source set will be used for any classes included in the report.

      Parameters:
        `sourceSets` - one or more source sets to report on